function __processArg(obj, key) {
    var arg = null;
    if (obj) {
        arg = obj[key] || null;
        delete obj[key];
    }
    return arg;
}

function Controller() {
    function closePicker() {
        $.winPicker.close();
    }
    require("/alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    this.__controllerPath = "customPicker";
    this.args = arguments[0] || {};
    if (arguments[0]) {
        __processArg(arguments[0], "__parentSymbol");
        __processArg(arguments[0], "$model");
        __processArg(arguments[0], "__itemTemplate");
    }
    var $ = this;
    var exports = {};
    var __defers = {};
    $.__views.winPicker = Ti.UI.createWindow({
        width: "100%",
        height: "100%",
        backgroundColor: "transparent",
        orientationModes: Titanium.UI.PORTRAIT,
        id: "winPicker"
    });
    $.__views.winPicker && $.addTopLevelView($.__views.winPicker);
    $.__views.__alloyId0 = Ti.UI.createView({
        width: "100%",
        height: "100%",
        backgroundColor: Alloy.CFG.BLACK_COLOR,
        opacity: .8,
        id: "__alloyId0"
    });
    $.__views.winPicker.add($.__views.__alloyId0);
    $.__views.viewPickerParent = Ti.UI.createView({
        left: 0,
        top: 0,
        width: Ti.UI.SIZE,
        height: Ti.UI.SIZE,
        backgroundColor: "white",
        layout: "100%",
        id: "viewPickerParent"
    });
    $.__views.winPicker.add($.__views.viewPickerParent);
    $.__views.btnClose = Ti.UI.createButton({
        id: "btnClose",
        title: "Close Picker"
    });
    $.__views.viewPickerParent.add($.__views.btnClose);
    closePicker ? $.addListener($.__views.btnClose, "click", closePicker) : __defers["$.__views.btnClose!click!closePicker"] = true;
    exports.destroy = function() {};
    _.extend($, $.__views);
    $.args;
    $.winPicker.addEventListener("close", function() {
        $.destroy();
    });
    __defers["$.__views.btnClose!click!closePicker"] && $.addListener($.__views.btnClose, "click", closePicker);
    _.extend($, exports);
}

var Alloy = require("/alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;