function __processArg(obj, key) {
    var arg = null;
    if (obj) {
        arg = obj[key] || null;
        delete obj[key];
    }
    return arg;
}

function Controller() {
    function openNewWindow() {
        var customPicker = Alloy.createController("customPicker");
        customPicker.getView().open();
    }
    require("/alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    this.__controllerPath = "index";
    this.args = arguments[0] || {};
    if (arguments[0]) {
        __processArg(arguments[0], "__parentSymbol");
        __processArg(arguments[0], "$model");
        __processArg(arguments[0], "__itemTemplate");
    }
    var $ = this;
    var exports = {};
    var __defers = {};
    $.__views.index = Ti.UI.createWindow({
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    $.__views.viewParent = Ti.UI.createView({
        left: 0,
        top: 0,
        width: Ti.UI.FILL,
        height: Ti.UI.FILL,
        backgroundColor: "white",
        id: "viewParent"
    });
    $.__views.index.add($.__views.viewParent);
    $.__views.viewTest = Ti.UI.createView({
        left: "10%",
        top: "10%",
        width: "80%",
        height: "10%",
        borderRadius: 2,
        borderColor: "black",
        id: "viewTest"
    });
    $.__views.viewParent.add($.__views.viewTest);
    openNewWindow ? $.addListener($.__views.viewTest, "click", openNewWindow) : __defers["$.__views.viewTest!click!openNewWindow"] = true;
    $.__views.__alloyId1 = Ti.UI.createLabel({
        text: "Open Picker",
        id: "__alloyId1"
    });
    $.__views.viewTest.add($.__views.__alloyId1);
    exports.destroy = function() {};
    _.extend($, $.__views);
    $.index.open();
    __defers["$.__views.viewTest!click!openNewWindow"] && $.addListener($.__views.viewTest, "click", openNewWindow);
    _.extend($, exports);
}

var Alloy = require("/alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;